Bug 840799 - Missing dependencies in the package
Missing dependencies in the package
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: gtksourceview2 (Show other bugs)
23
All Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Matthias Clasen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-17 05:09 EDT by Matěj Cepl
Modified: 2016-12-20 07:15 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 07:15:43 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
output of rpmbuild --rebuild (18.01 KB, text/plain)
2012-07-17 05:09 EDT, Matěj Cepl
no flags Details

  None (edit)
Description Matěj Cepl 2012-07-17 05:09:16 EDT
Created attachment 598591 [details]
output of rpmbuild --rebuild

Description of problem:
When trying to rebuild gtksourceview2 on EL-7, I get this error:

/bin/sh ../../../libtool --silent --tag=CC   --mode=compile gcc -DHAVE_CONFIG_H -I. -I../../.. -DDATADIR=\""/usr/share"\" -DG_LOG_DOMAIN=\"GtkSourceView\" -I../../.. -I. -DG_DISABLE_DEPRECATED -DGDK_DISABLE_DEPRECATED -DGTK_DISABLE_DEPRECATED -DGDK_PIXBUF_DISABLE_DEPRECATED -DGNOME_DISABLE_DEPRECATED -Wall -Wmissing-prototypes -Wnested-externs -Wpointer-arith -Wno-sign-compare  -pthread -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include -I/usr/include/gtk-3.0 -I/usr/include/pango-1.0 -I/usr/include/gio-unix-2.0/ -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/gdk-pixbuf-2.0 -I/usr/include/freetype2 -I/usr/include/pixman-1 -I/usr/include/libpng15 -I/usr/include/libxml2      -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector --param=ssp-buffer-size=4  -m64 -mtune=generic -c -o gtksourcecompletionwordsutils.lo gtksourcecompletionwordsutils.c
In file included from gtksourcecompletionwords.c:27:0:
../../../gtksourceview/gtksourcecompletion.h:60:2: error: unknown type name 'GtkObject'
make[5]: *** [gtksourcecompletionwords.lo] Error 1
make[5]: *** Waiting for unfinished jobs....
gtksourcecompletionwordsbuffer.c: In function 'add_scan_region':
gtksourcecompletionwordsbuffer.c:528:10: warning: variable 'ignore' set but not used [-Wunused-but-set-variable]
make[5]: Leaving directory `/home/matej/build/BUILD/gtksourceview-2.11.2/gtksourceview/completion-providers/words'
make[4]: *** [all-recursive] Error 1
make[4]: Leaving directory `/home/matej/build/BUILD/gtksourceview-2.11.2/gtksourceview/completion-providers'
make[3]: *** [all-recursive] Error 1
make[3]: Leaving directory `/home/matej/build/BUILD/gtksourceview-2.11.2/gtksourceview'
make[2]: *** [all] Error 2
make[2]: Leaving directory `/home/matej/build/BUILD/gtksourceview-2.11.2/gtksourceview'
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory `/home/matej/build/BUILD/gtksourceview-2.11.2'
make: *** [all] Error 2
error: Bad exit status from /var/tmp/rpm-tmp.RfKvxE (%build)


Version-Release number of selected component (if applicable):
gtksourceview2-2.11.2-13.fc17

How reproducible:
100%

Steps to Reproduce:
1.rpmbuild --rebuild the package on plain EL-7
2.
3.
  
Actual results:
rpmbuild fails to produce binary package

Expected results:
rpmbuild should either succeed or indicate clearly which package is missing (it is IMHO also an upstream bug, because ./configure went through without complaining as well).

Additional info:
Comment 1 Fedora End Of Life 2013-04-03 12:10:11 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19
Comment 2 Fedora End Of Life 2015-01-09 12:15:46 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 3 Matěj Cepl 2015-01-10 10:47:38 EST
Still alive with gtksourceview2-2.11.2-19.el7

CC     gtksourcecompletionwordsproposal.lo
/bin/sh ../../../libtool --silent --tag=CC   --mode=compile gcc -DHAVE_CONFIG_H -I. -I../../.. -DDATADIR=\""/usr/share"\" -DG_LOG_DOMAIN=\"GtkSourceView\" -I../../.. -I. -DG_DISABLE_DEPRECATED -DGDK_DISABLE_DEPRECATED -DGTK_DISABLE_DEPRECATED -DGDK_PIXBUF_DISABLE_DEPRECATED -DGNOME_DISABLE_DEPRECATED -Wall -Wmissing-prototypes -Wnested-externs -Wpointer-arith -Wno-sign-compare  -pthread -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include -I/usr/include/gtk-3.0 -I/usr/include/atk-1.0 -I/usr/include/at-spi2-atk/2.0 -I/usr/include/pango-1.0 -I/usr/include/gio-unix-2.0/ -I/usr/include/cairo -I/usr/include/gdk-pixbuf-2.0 -I/usr/include/harfbuzz -I/usr/include/freetype2 -I/usr/include/pixman-1 -I/usr/include/libpng15 -I/usr/include/libdrm -I/usr/include/libxml2      -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector-strong --param=ssp-buffer-size=4 -grecord-gcc-switches   -m64 -mtune=generic -c -o gtksourcecompletionwordsproposal.lo gtksourcecompletionwordsproposal.c
gtksourcecompletionwordsbuffer.c: In function 'add_scan_region':
gtksourcecompletionwordsbuffer.c:528:10: warning: variable 'ignore' set but not used [-Wunused-but-set-variable]
   GList *ignore;
          ^
  CC     gtksourcecompletionwordsutils.lo
/bin/sh ../../../libtool --silent --tag=CC   --mode=compile gcc -DHAVE_CONFIG_H -I. -I../../.. -DDATADIR=\""/usr/share"\" -DG_LOG_DOMAIN=\"GtkSourceView\" -I../../.. -I. -DG_DISABLE_DEPRECATED -DGDK_DISABLE_DEPRECATED -DGTK_DISABLE_DEPRECATED -DGDK_PIXBUF_DISABLE_DEPRECATED -DGNOME_DISABLE_DEPRECATED -Wall -Wmissing-prototypes -Wnested-externs -Wpointer-arith -Wno-sign-compare  -pthread -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include -I/usr/include/gtk-3.0 -I/usr/include/atk-1.0 -I/usr/include/at-spi2-atk/2.0 -I/usr/include/pango-1.0 -I/usr/include/gio-unix-2.0/ -I/usr/include/cairo -I/usr/include/gdk-pixbuf-2.0 -I/usr/include/harfbuzz -I/usr/include/freetype2 -I/usr/include/pixman-1 -I/usr/include/libpng15 -I/usr/include/libdrm -I/usr/include/libxml2      -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector-strong --param=ssp-buffer-size=4 -grecord-gcc-switches   -m64 -mtune=generic -c -o gtksourcecompletionwordsutils.lo gtksourcecompletionwordsutils.c
In file included from gtksourcecompletionwords.c:27:0:
../../../gtksourceview/gtksourcecompletion.h:60:2: error: unknown type name 'GtkObject'
  GtkObject parent;
  ^
make[5]: *** [gtksourcecompletionwords.lo] Error 1
make[5]: *** Waiting for unfinished jobs....
make[5]: Leaving directory `/home/matej/build/EXTRAS/gtksourceview2/gtksourceview-2.11.2/gtksourceview/completion-providers/words'
make[4]: *** [all-recursive] Error 1
make[4]: Leaving directory `/home/matej/build/EXTRAS/gtksourceview2/gtksourceview-2.11.2/gtksourceview/completion-providers'
make[3]: *** [all-recursive] Error 1
make[3]: Leaving directory `/home/matej/build/EXTRAS/gtksourceview2/gtksourceview-2.11.2/gtksourceview'
make[2]: *** [all] Error 2
make[2]: Leaving directory `/home/matej/build/EXTRAS/gtksourceview2/gtksourceview-2.11.2/gtksourceview'
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory `/home/matej/build/EXTRAS/gtksourceview2/gtksourceview-2.11.2'
make: *** [all] Error 2
error: Bad exit status from /var/tmp/rpm-tmp.NxdEp7 (%build)


RPM build errors:
    Bad exit status from /var/tmp/rpm-tmp.NxdEp7 (%build)
Could not execute local: Non zero exit
matej@mitmanek: gtksourceview2 (epel7 %)$ fedpkg verrel
gtksourceview2-2.11.2-19.el7
matej@mitmanek: gtksourceview2 (epel7 %)$
Comment 4 Jan Kurik 2015-07-15 11:05:49 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 23 development cycle.
Changing version to '23'.

(As we did not run this process for some time, it could affect also pre-Fedora 23 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 23 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora23
Comment 5 Fedora End Of Life 2016-11-24 05:41:54 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 6 Fedora End Of Life 2016-12-20 07:15:43 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.